* gph_fig10_2.do

* Choose the directory where you store the files for the book.
* In the book's examples, the command is cd ~\Documents\ishr5.

use lbw1.dta, clear      

set scheme lean1      
twoway                                                         ///
   (kdensity bwt if smoke==0, range(800 5000) lpattern(l))     ///
   (kdensity bwt if smoke==1, range(800 5000) lpattern(dash))  ///
   ,                                                           ///
   xtitle("Birthweight, grams")                                ///
   ytitle("Kernel density")                                    ///
   yscale(range(0 .00072)) ylabel(none)                        ///
   legend(order(2 "Smokers" 1 "Nonsmokers") ring(0) pos(11))   ///
   plotregion(margin(b=0)) aspectratio(0.8)                    ///
   name(p1, replace)      

cumul bwt if smoke==0, generate(cumbwt0)
cumul bwt if smoke==1, generate(cumbwt1)
sort cumbwt0 cumbwt1

twoway line cumbwt0 cumbwt1 bwt                             ///
  ,                                                         ///
  lpattern(l dash)                                          ///
  legend(order(2 "Smokers" 1 "Nonsmokers") ring(0) pos(11)) ///
  xtitle("Birthweight, grams")                              ///
  ytitle("Birthweight {&le} x (%)")                         ///
  ylabel(0 .25 "25" .5 "50" .75 "75" 1 "100")               ///
  plotregion(margin(b=0 t=0)) aspectratio(0.8)              ///
  name(p2, replace)

graph combine p1 p2, xsize(5) ysize(2) iscale(1.4)      
