* gph_fig11_5.do

* Choose the directory where you store the files for the book.
* In the book's examples, the command is cd ~\Documents\ishr5.

use lbw1.dta, clear   
generate lwt130 = lwt-130   
quietly: regress bwt bn.race bn.race#c.lwt130, noconstant   

twoway ///   
   (function y = _b[1.race] + (x-130)*_b[1.race#c.lwt130]   ///   
      , range(50 250) lpattern(l))                          ///   
   (function y = _b[2.race] + (x-130)*_b[2.race#c.lwt130]   ///   
      , range(50 250) lpattern(_))                          ///   
   (function y = _b[3.race] + (x-130)*_b[3.race#c.lwt130]   ///   
      , range(50 250) lpattern(dash))                       ///   
   ,                                                        ///   
   legend(order(1 "White"  2 "Black"  3 "Other"))           ///   
   xtitle("Last prepregnancy weight (lb)")                  ///   
   ytitle("Expected birthweight (grams)")                   ///   
   ylabel(2000(500)4000) xline(130, lpattern(dash))         ///   
   xsize(4.5) ysize(2) aspectratio(0.7)                     ///   
   scale(1.4) scheme(lean1)     

